Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Name_Space.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/SString.h"`
`#include "ace/Unbounded_Set.h"`

Include dependency graph for Name_Space.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Name_Binding
| Maintains a mapping from name to value and type. More...
class | ACE_Name_Space
| Abstract base class that provides an abstract interface to the database without exposing any implemenation details. More...
## Typedefs
typedef ACE_Unbounded_Set< ACE_NS_WString > | ACE_WSTRING_SET
typedef ACE_Unbounded_Set< ACE_Name_Binding > | ACE_BINDING_SET
typedef ACE_Unbounded_Set_Iterator< ACE_Name_Binding > | ACE_BINDING_ITERATOR
typedef ACE_Unbounded_Set< ACE_NS_WString > | ACE_PWSTRING_SET
typedef ACE_Unbounded_Set_Iterator< ACE_NS_WString > | ACE_PWSTRING_ITERATOR

## Detailed Description

Id:
  Name_Space.h,v 4.18 2004/01/01 23:03:38 shuston Exp

Author:
  Prashant Jain

## Typedef Documentation

typedef ACE_Unbounded_Set_Iterator<ACE_Name_Binding> ACE_BINDING_ITERATOR

typedef ACE_Unbounded_Set<ACE_Name_Binding> ACE_BINDING_SET

typedef ACE_Unbounded_Set_Iterator<ACE_NS_WString> ACE_PWSTRING_ITERATOR

typedef ACE_Unbounded_Set<ACE_NS_WString> ACE_PWSTRING_SET

typedef ACE_Unbounded_Set<ACE_NS_WString> ACE_WSTRING_SET